### Constructor

# Gtk Shortcutnew

#### Declaration [src]

    GtkShortcut*
    gtk_shortcut_new (
      GtkShortcutTrigger* trigger,
      GtkShortcutAction* action
    )

#### Description [src]

Creates a new `GtkShortcut` that is triggered by `trigger` and then activates `action`.

#### Parameters

`trigger`

  Type: `GtkShortcutTrigger`

  The trigger that will trigger the shortcut.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`action`

  Type: `GtkShortcutAction`

  The action that will be activated upon triggering.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkShortcut`

A new `GtkShortcut`

The caller of the function takes ownership of the data, and is responsible for freeing it.